net.corda.schemas

## Class CommercialPaperSchemaV1.PersistentCommericalPaperState

- net.corda.core.schemas.PersistentState
- - net.corda.schemas.CommercialPaperSchemaV1.PersistentCommericalPaperState

- Enclosing class:
    CommercialPaperSchemaV1

      public static class CommercialPaperSchemaV1.PersistentCommericalPaperState
      extends PersistentState

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentCommericalPaperState(java.lang.String issuanceParty, byte[] issuanceRef, java.lang.String owner, java.time.Instant maturity, long faceValue, java.lang.String currency, java.lang.String faceValueIssuerParty, byte[] faceValueIssuerRef)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCurrency()`
    `long` | `getFaceValue()`
    `java.lang.String` | `getFaceValueIssuerParty()`
    `byte[]` | `getFaceValueIssuerRef()`
    `java.lang.String` | `getIssuanceParty()`
    `byte[]` | `getIssuanceRef()`
    `java.time.Instant` | `getMaturity()`
    `java.lang.String` | `getOwner()`
    `void` | `setCurrency(java.lang.String p)`
    `void` | `setFaceValue(long p)`
    `void` | `setFaceValueIssuerParty(java.lang.String p)`
    `void` | `setFaceValueIssuerRef(byte[] p)`
    `void` | `setIssuanceParty(java.lang.String p)`
    `void` | `setIssuanceRef(byte[] p)`
    `void` | `setMaturity(java.time.Instant p)`
    `void` | `setOwner(java.lang.String p)`

    - ### Methods inherited from class net.corda.core.schemas.PersistentState

      `getStateRef, setStateRef`

- - ### Constructor Detail

    - #### PersistentCommericalPaperState

          public PersistentCommericalPaperState(java.lang.String issuanceParty,
                                                byte[] issuanceRef,
                                                java.lang.String owner,
                                                java.time.Instant maturity,
                                                long faceValue,
                                                java.lang.String currency,
                                                java.lang.String faceValueIssuerParty,
                                                byte[] faceValueIssuerRef)

  - ### Method Detail

    - #### getIssuanceParty

          public java.lang.String getIssuanceParty()

    - #### setIssuanceParty

          public void setIssuanceParty(java.lang.String p)

    - #### getIssuanceRef

          public byte[] getIssuanceRef()

    - #### setIssuanceRef

          public void setIssuanceRef(byte[] p)

    - #### getOwner

          public java.lang.String getOwner()

    - #### setOwner

          public void setOwner(java.lang.String p)

    - #### getMaturity

          public java.time.Instant getMaturity()

    - #### setMaturity

          public void setMaturity(java.time.Instant p)

    - #### getFaceValue

          public long getFaceValue()

    - #### setFaceValue

          public void setFaceValue(long p)

    - #### getCurrency

          public java.lang.String getCurrency()

    - #### setCurrency

          public void setCurrency(java.lang.String p)

    - #### getFaceValueIssuerParty

          public java.lang.String getFaceValueIssuerParty()

    - #### setFaceValueIssuerParty

          public void setFaceValueIssuerParty(java.lang.String p)

    - #### getFaceValueIssuerRef

          public byte[] getFaceValueIssuerRef()

    - #### setFaceValueIssuerRef

          public void setFaceValueIssuerRef(byte[] p)